Ticket #51 (closed enhancement: wontfix)

Opened 13 years ago

Last modified 9 years ago

lower cpu usage

Reported by: ppalmers Assigned to:
Priority: major Milestone: FFADO 2.1
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

FFADO is currently rather cpu hungry. Fix that.

Change History

01/13/08 03:07:20 changed by ppalmers

  • milestone changed from FFADO 2.1 to FFADO 2.0.

03/12/08 07:06:52 changed by ppalmers

  • milestone changed from FFADO 2.0 to FFADO 2.1.

01/06/10 04:31:25 changed by pdhales

Would be nice.

03/27/12 07:20:56 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

The new stack has I believe lowered the CPU usage a little. Compiling with optimisations also helps. I don't believe there's a lot of scope to improve on this without major changes to FFADO's lower level functionality. In time I expect the in-kernel streaming engines to help in this regard, and for that reason I don't think there's a lot of point in keeping this ticket open.